import { Construct } from 'constructs';
import { AirflowResourceBase } from './airflow-resource';
import { Environment } from './environment';
export interface AirflowPoolProps {
    readonly environment: Environment;
    readonly poolName: string;
    readonly poolSlots?: number;
    readonly poolDescription?: string;
}
export declare class AirflowPool extends AirflowResourceBase {
    constructor(scope: Construct, id: string, props: AirflowPoolProps);
}
